<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$zroot = $_SESSION["zdbroot"];

if (isset($_REQUEST['visatype'])) {
    $visatype = $_REQUEST['visatype'];

    $gen1 = mysqli_query($conn, "SELECT MAX(vouchno) AS maxcode FROM `visamain` where `visatype` = '$visatype' LIMIT 0,1 ") or die(mysqli_error($conn));

    if (mysqli_num_rows($gen1) > 0) {
        $vvouch = mysqli_fetch_assoc($gen1);
        $qvouch = $vvouch["maxcode"] + 1;
    } else {
        $qvouch = '1';
    }
    
    Echo $qvouch;
}